Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jdmk.comm
Class AuthInfo

    java.lang.Object
      |
      +--com.sun.jdmk.comm.AuthInfo

public class AuthInfo
extends java.lang.Object
implements java.lang.Cloneable, java.io.Serializable

This class defines the Authentication Information required by the adaptors for carrying out login/password authentication.

See Also:
  Serialized Form

Constructor Summary
`AuthInfo()`
`AuthInfo(java.lang.String login, java.lang.String password)`

Method Summary
`java.lang.Object` | `clone()` Clone this `AuthInfo`.
`java.lang.String` | `getLogin()` Returns the value of the login property.
`java.lang.String` | `getPassword()` Returns the value of the password property.
`void` | `setLogin(java.lang.String login)` Sets the value of the login property.
`void` | `setPassword(java.lang.String password)` Sets the value of the password property.

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AuthInfo

    public AuthInfo()

### AuthInfo

    public AuthInfo(java.lang.String login,
                    java.lang.String password)

Method Detail

### getLogin

    public java.lang.String getLogin()

  Returns the value of the login property.
  Returns:
    the value of the login property.

### setLogin

    public void setLogin(java.lang.String login)

  Sets the value of the login property.
  Parameters:
    `login` - The value the login property will be set to.

### getPassword

    public java.lang.String getPassword()

  Returns the value of the password property.
  Returns:
    the value of the password property.

### setPassword

    public void setPassword(java.lang.String password)

  Sets the value of the password property.
  Parameters:
    `password` - The value the password property will be set to.

### clone

    public java.lang.Object clone()

  Clone this `AuthInfo`. The cloning is done using Object.clone.
  Overrides:
    clone in class java.lang.Object
  See Also:
    `Object.clone()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD